> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Runner Configuration Schema

> Gets the latest runner configuration schema.

`Unary` · [`Runner Configurations`](https://ona.com/docs/api-reference/generated/runner-configuration/overview)

Gets the latest runner configuration schema.

Use this method to:

* View available settings
* Check configuration options
* Validate configurations

### Examples

* Get schema:

  Retrieves configuration schema for a runner.

  ```yaml theme={null}
  runnerId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.RunnerConfigurationService/GetRunnerConfigurationSchema
```

Send a Bearer token as described in [Authentication](https://ona.com/docs/api-reference.md#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

```bash cURL theme={null}
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>

curl --request POST \
  --url "$ONA_HOST/api/gitpod.v1.RunnerConfigurationService/GetRunnerConfigurationSchema" \
  --header "Authorization: Bearer $ONA_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "runnerId": "<runner-id>"
}'
```

```python Python theme={null}
import gitpod.v1.runner_configuration_pb2 as runner_configuration_pb2
from ona_sdk import create_client_from_env

ona = create_client_from_env()
request = runner_configuration_pb2.GetRunnerConfigurationSchemaRequest(
    runner_id="<runner-id>",
)
response = ona.services.runner_configuration.get_runner_configuration_schema(request)
print(response)
```

```typescript TypeScript theme={null}
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { GetRunnerConfigurationSchemaRequestSchema } from "@gitpod/sdk/gitpod/v1/runner_configuration_pb";

async function main() {
  const ona = createClientFromEnv();
  const request = create(GetRunnerConfigurationSchemaRequestSchema, {
    runnerId: "<runner-id>",
  });
  const response = await ona.services.runnerConfiguration.getRunnerConfigurationSchema(request);
  console.log(response);
}

main().catch(console.error);
```

```go Go theme={null}
package main

import (
	"context"
	"fmt"
	"log"

	"connectrpc.com/connect"
	"github.com/gitpod-io/gitpod-sdk-go/sdk"
	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
)

func main() {
	ona, err := sdk.NewFromEnv()
	if err != nil {
		log.Fatal(err)
	}

	request := connect.NewRequest(&gitpodpb.GetRunnerConfigurationSchemaRequest{
		RunnerId: "<runner-id>",
	})
	response, err := ona.Services.RunnerConfiguration.GetRunnerConfigurationSchema(context.Background(), request)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(response.Msg)
}
```

```json Request body theme={null}
{
  "runnerId": "<runner-id>"
}
```

## Request

`gitpod.v1.GetRunnerConfigurationSchemaRequest`

| Field | Type | Required | Description |
| - | - | - | - |
| `runnerId` | string | No | Constraints: `string.uuid=true`. |

## Response

`gitpod.v1.GetRunnerConfigurationSchemaResponse`

| Field | Type | Required | Description |
| - | - | - | - |
| `schema` | [RunnerConfigurationSchema](#type-gitpod-v1-runner-configuration-schema) | No | |

## Related types

> [accordion] RunnerConfigurationSchema
>
> `gitpod.v1.RunnerConfigurationSchema`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `version` | string | No | The schema version |
> | `runnerConfig` | array of [Field](#type-gitpod-v1-runner-configuration-schema-field) | No | |
> | `environmentClasses` | array of [Field](#type-gitpod-v1-runner-configuration-schema-field) | No | |
> | `scm` | array of [SCMConfigSchema](#type-gitpod-v1-runner-configuration-schema-scm-config-schema) | No | |

> [accordion] Field
>
> `gitpod.v1.RunnerConfigurationSchema.Field`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `id` | string | No | |
> | `name` | string | No | |
> | `description` | string | No | |
> | `required` | boolean | No | |
> | `secret` | boolean | No | |
> | `string` | StringField | No | |
> | `bool` | BoolField | No | |
> | `int` | IntField | No | |
> | `enum` | EnumField | No | |
> | `display` | DisplayField | No | |

> [accordion] SCMConfigSchema
>
> `gitpod.v1.RunnerConfigurationSchema.SCMConfigSchema`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `scmId` | string | No | |
> | `name` | string | No | |
> | `defaultHosts` | array of string | No | |
> | `oauth` | OAuth | No | |
> | `pat` | PersonalAccessToken | No | |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.